Yandex Cloud
Search
Contact UsTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Object Storage
  • Pricing policy
  • Terraform reference
    • API authentication
      • How to use the API
      • Signing requests
      • Getting started with the S3 API
        • All services and methods
          • All methods
          • PutObject
          • GetObject
          • patch
          • CopyObject
          • HeadObject
          • DeleteObject
          • DeleteObjects
          • options
          • SelectObjectContent
          • PutObjectRetention
          • PutObjectLegalHold
          • GetObjectRetention
          • GetObjectLegalHold
          • PutObjectTagging
          • GetObjectTagging
          • DeleteObjectTagging
        • Common request headers
        • Common response headers
        • Responses
  • Monitoring metrics
  • Audit Trails events
  • Bucket logs
  • Release notes
  • FAQ

In this article:

  • Request
  • Path parameters
  • Query parameters
  • Headers
  • Response
  • Headers
  • Response codes
  1. API reference
  2. AWS S3 REST
  3. REST
  4. Object
  5. DeleteObject

Object Storage API, Amazon S3-compatible REST: DeleteObject

Written by
Yandex Cloud
Updated at May 6, 2026
  • Request
    • Path parameters
    • Query parameters
    • Headers
  • Response
    • Headers
    • Response codes

Deletes an object.

For more information on getting started with the API and the general request format, see How to use the S3 API.

RequestRequest

DELETE /{bucket}/{key} HTTP/2

Path parametersPath parameters

Parameter Description
bucket Bucket name.
key Object key.

Query parametersQuery parameters

Parameter Description
versionId Link to a specific version of the object.

HeadersHeaders

Use the appropriate common headers in your request.

Moreover, if governance-mode retention is set for an object version in a versioned bucket, make sure to use the below-specified header to bypass retention and confirm deletion. Only users with the storage.admin role can delete a retained object version. To check the retention status, use the getObjectRetention method.

Header Description
X-Amz-Bypass-Governance-Retention Header that confirms bypassing of the governance-mode retention. Set it to true.

ResponseResponse

HeadersHeaders

Responses can only contain common headers.

Response codesResponse codes

For a list of possible responses, see Responses.

Related articlesRelated articles

  • Object

  • Deleting an object

See alsoSee also

  • Getting started with the AWS S3 API in Yandex Object Storage

  • Debugging requests using the AWS CLI

  • Example of sending a signed request using curl

  • Code example for generating a signature

Was the article helpful?

Previous
HeadObject
Next
DeleteObjects
© 2026 Direct Cursus Technology L.L.C.